<?php 
include "includes/conexao.php";

if(isset($_POST['submit'])){
		
		$descricao = $_POST['descricao'];
		$valor = $_POST['valor'];
		$conta = $_POST['conta'];
		
		$user = $_SESSION['nome'];
		$data = date('Y-m-d');
		$hora = date("H:i", mktime(gmdate("H")+2, gmdate("i"), gmdate("s"), gmdate("m"), gmdate("d"), gmdate("Y")));
		
		
		$buscar_conta_entrada = "SELECT * FROM contas WHERE conta='$conta'";
		$dados_ligar_entrada = mysqli_query($con,$buscar_conta_entrada);
		$nice_query_entrada = mysqli_fetch_assoc($dados_ligar_entrada);
		
		$saldo_actual_entrada = $nice_query_entrada['saldo'];
		
		$novo_taco_entrada = $saldo_actual_entrada + $valor;
		
		
		$insere_transacoes = "INSERT INTO transacoes(descricao,saida,entrada,saldo,caixa,data,hora,user)
		VALUES('$descricao','0','$valor','$novo_taco_entrada','$conta','$data','$hora','$user')";
		$liga_liga = mysqli_query($con,$insere_transacoes);
		
		if($liga_liga){
			
			$actualiza_conta = "UPDATE contas SET saldo='$novo_taco_entrada' WHERE conta='$conta'";
			$yes_we_do = mysqli_query($con,$actualiza_conta);
			
			echo "<script>alert('Entrada efetuada com sucesso')</script>";
			echo "<script>window.open('lista_contas.php','_self')</script>";
			
		}else{
			
			echo "<script>alert('SOMETHING WROONG')</script>";
			echo "<script>window.open('lista_contas.php','_self')</script>";
		}
		
		
		
		
	}
	
	?>